package com.javacodegeeks.drools;

public class CartItem {
	private Cart cart;
	private Product product;
	private int qty;
	private boolean errors;
	
	public CartItem(Cart cart, Product product, int qty) {
		this.cart = cart;
		this.product = product;
		this.qty = qty;
	}

	public Product getProduct() {
		return product;
	}

	public int getQty() {
		return qty;
	}
	
	public String toString() {
		return "Is processed? " + !hasErrors() + (!hasErrors() ? " " + product + ", qty: " + qty : "");
	}

	public Cart getCart() {
		return cart;
	}

	public boolean hasErrors() {
		return errors;
	}

	public void setErrors(boolean errors) {
		this.errors = errors;
	}	
		
}
